> For the complete documentation index, see [llms.txt](https://docs.pdap.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pdap.io/about/data-dictionaries/agencies-data-dictionary.md).

# Agencies data dictionary

{% hint style="info" %}
To see which options are available for select fields, consult the [submission form](https://airtable.com/shrzxLdSsYmBvIWMH).
{% endhint %}

### Required properties for submission

`submitter_contact`, `submitted_name`, `homepage_url`, `jurisdiction_type`, `agency_type`, + geographic info dependent on the `jurisdiction_type`.

## Identification & web presence

| Property            | Type                                        | Description                                                                                                                                                                                                                    |
| ------------------- | ------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| name                | string                                      | If a `state` is present, concatenates `submitted_name` + `" - "` + `state_iso` to help differentiate agencies with similar names in some Airtable menus. Otherwise, uses `submitted_name`.                                     |
| submitted\_name     | string                                      | What does the agency call itself?                                                                                                                                                                                              |
| agency\_type        | string                                      | Options include `police`, `court`, `jail`, and `aggregated`, which usually represents coverage of multiple types of agency.                                                                                                    |
| contracting\_agency | link to other records from `agencies` table | If the jurisdiction or agency contracts its police services to another agency, it can be selected here.                                                                                                                        |
| multi\_agency       | boolean                                     | True for utility agencies, used to geolocate data sources which cover multiple agencies. For example, a source about the "Allegheny County Aggregated" multi-agencies contains records about all agencies in Allegheny County. |
| defunct\_year       | integer                                     | If present, denotes an agency which has defunct but may still have relevant records.                                                                                                                                           |
| homepage\_url       | string                                      | A URL for the homepage of this agency.                                                                                                                                                                                         |
| no\_web\_presence   | boolean                                     | True when an agency does not have a dedicated website.                                                                                                                                                                         |

## Geographic

| Property           | Type                                          | Description                                                                                          |
| ------------------ | --------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| jurisdiction\_type | string                                        | What is the highest level of jurisdiction for the agency? Can be an option like `local` or `county`. |
| state\_iso         | string                                        | 2-character ISO code. Does not apply to federal agencies.                                            |
| county\_fips       | string (not an integer because of leading 0s) | Unique 5-digit code to identify counties. Does not apply to state or federal agencies.               |
| county\_name       | string                                        | Official County name. Does not apply to state or federal agencies.                                   |
| municipality       | string                                        | Official municipality name. Does not apply to county, state, or federal agencies.                    |
| zip\_code          | string (not an integer because of leading 0s) | Postal code for the agency's headquarters.                                                           |
| lat                | float                                         | Geographic latitude for the agency's headquarters.                                                   |
| lng                | float                                         | Geographic longitude for the agency's headquarters.                                                  |

## Meta & utility

| Property      | Type   | Description                                               |
| ------------- | ------ | --------------------------------------------------------- |
| airtable\_uid | string | The Airtable-generated UID of this particular data source |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pdap.io/about/data-dictionaries/agencies-data-dictionary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
